// $Id: checksyntax-range.hc,v 1.1 2003/11/04 22:32:40 ensc Exp $    --*- c -*--

// Copyright (C) 2003 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de>
//  
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; version 2 of the License.
//  
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//  
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.


#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <fnmatch.h>

static bool
checkSyntax_range(struct SyntaxInfo *syntax,
		  bool allow_empty,
		  char const *str, char const **reason)
{
  assert(syntax->type==synVSERVER || syntax->type==synSET);

  if (allow_empty && syntax->info.set.l==0)        return true;

  for (size_t i=0; i<syntax->info.set.l; ++i) {
    if (fnmatch(syntax->info.set.v[i], str, 0)==0) return true;
  }

  *reason = "Not allow value for parameter";
  return false;
}
