// $Id: djinniprocess.h,v 1.1 2003/11/04 22:32:40 ensc Exp $    --*- c -*--

// Copyright (C) 2003 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de>
//  
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; version 2 of the License.
//  
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//  
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.


#ifndef H_VSERVER_DJINNI_SRC_DJINNIPROCESS_H
#define H_VSERVER_DJINNI_SRC_DJINNIPROCESS_H

#include <stdbool.h>

struct DjinniProcess;

// Creates a new DjinniProcess object whose
// * cfg-dir resides in <cfg_dir>
// * states will be written to <state_dir>
// * parent is <parent>
// * heartbeat_fd is <heartbeat_fd>
// <heartbeat_fd> will be ignored when parent!=0
struct DjinniProcess *	DjinniProcess_new(int  dirfd_vserver,
					  char const *cfg_dir,
					  char const *state_dir,
					  struct DjinniProcess const *parent,
					  int heartbeat_fd);

int	DjinniProcess_run(struct DjinniProcess *);
void	DjinniProcess_delete(struct DjinniProcess *);

void	DjinniProcess_doQuit(struct DjinniProcess *);
void	DjinniProcess_detach(struct DjinniProcess *);

bool	DjinniProcess_chrootCurrent(struct DjinniProcess const *self);
bool	DjinniProcess_chrootVserver(struct DjinniProcess const *self);
bool	DjinniProcess_chdirVserver(struct DjinniProcess const *self);
bool	DjinniProcess_chdirState(struct DjinniProcess const *self);
bool	DjinniProcess_chdirCfg(struct DjinniProcess const *self);

#endif	//  H_VSERVER_DJINNI_SRC_DJINNIPROCESS_H
